; *******************************************************************
;   Plug in Libraries for the by 12 architecture                    *
;   Written and Tested using MPASM V1.40                            *
;********************************************************************
;   Filename:		SWI2C12.ASM                                 *
;   Date:               05 November 1997                            *
;   File Version:       1.00                                        *
;********************************************************************
;  Functions:
;                       OpenSWI2C
;                       putcSWI2C
;                       getcSWI2C
;                       getnextcSWI2C
;********************************************************************
;   Revision History:                                               *
;      V1.00 - Beta release of Peripheral Libraries                 *
;********************************************************************
;   Notes:                                                          *
; This file creates externs for the interface variables and defines
; macros used to implement some functions.
;
;  Data registers
        extern  I2CSlave
        extern  I2CAddress
        extern  I2CRxbuf

; Function calls
        extern  OpenSWI2C
        extern  getcSWI2C
        extern  putcSWI2C
        extern  getnextcSWI2C

SetI2CSlave     macro
        movwf   I2CSlave
        endm

SetI2CAddress   macro
        movwf   I2CAddress
        endm

